Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager.persistence.jdbc
Class PageDefinitionManagerImpl

    java.lang.Object
      |
      +--com.bea.netuix.application.manager.persistence.jdbc.PageDefinitionManagerImpl

All Implemented Interfaces:
  EnterpriseBean, ILayoutDefinitionManager, IPageDefinitionManager, Serializable, SessionBean

public class PageDefinitionManagerImpl
extends Object
implements SessionBean, IPageDefinitionManager, ILayoutDefinitionManager

See Also:
  Serialized Form

Constructor Summary
`PageDefinitionManagerImpl()`

Method Summary
`PlaceableInstance` | `addPlaceable(CustomizationContext customizationContext, PageDefinitionId pageDefinitionId, PlaceableDefinitionId placeableDefinitionId, PlaceholderDefinitionId placeholderDefinitionId, int position)` Create a new instance of a placeable (PortletView or BookView) by placing the definition in a placeholder.
`LayoutDefinition` | `createLayoutDefinition(CustomizationContext customizationContext, LayoutDefinition layoutDefinition)` Creates a new LayoutView Definition with its placeholders.
`PageDefinition` | `createPageDefinition(CustomizationContext customizationContext, PageDefinition pageDefinition)` Create a new page definition.
`void` | `deleteLayoutDefinition(CustomizationContext customizationContext, LayoutDefinitionId layoutDefinitionId)` Delete a layout definition and all its associated placeholders..
`void` | `deleteLayoutDefinitionWithReplacement(CustomizationContext customizationContext, LayoutDefinitionId deleteLayoutDefinitionId, LayoutDefinitionId replacementLayoutDefinitionId)` Delete a layout definition (and its placeholders) and replace any uses of that layout with a replacement layout.
`void` | `deletePageDefinition(CustomizationContext customizationContext, PageDefinitionId pageDefinitionId)` Delete a page definition, but only if it is not used byt other page instances.
`void` | `deletePageDefinitionWithCascade(CustomizationContext customizationContext, PageDefinitionId pageDefinitionId)` Delete a page definition and all page instances associated with this definition.
`void` | `deletePageDefinitionWithReplacement(CustomizationContext customizationContext, PageDefinitionId deletePageDefinitionId, PageDefinitionId replacementPageDefinitionId)` Delete an existing page definition and if it is in use replace it's use with the supplied page defintion.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`LayoutDefinition` | `getLayoutDefinition(CustomizationContext customizationContext, LayoutDefinitionId layoutDefinitionId)` Getter for returning a single `LayoutDefinition` object given a supplied layout definition identifier.
`LayoutDefinition` | `getLayoutDefinitionFromFile(CustomizationContext customizationContext, String layoutFile, String webAppName)` Getter for returning a single `LayoutDefinition` object given a supplied layout file name and web app name.
`LayoutDefinitionId` | `getLayoutDefinitionId(CustomizationContext customizationContext, String markupName, String webAppName)` Getter for returning a single `LayoutDefinitionId` object given a supplied layout markup name.
`LayoutDefinition[]` | `getLayoutDefinitions(CustomizationContext customizationContext, String webapp)` Getter for returning a list of all `LayoutDefinitions` scoped to the supplied webapp.
`PageDefinition` | `getPageDefinition(CustomizationContext customizationContext, PageDefinitionId pageDefinitionId)` Getter for returning a single `PageDefinition` object given a supplied page definition identifier.
`PageDefinition` | `getPageDefinition(CustomizationContext customizationContext, String pageDefinitionLabel, String webAppName)` Getter for returning a single `PageDefinition` object given a supplied page definition label.
`PageDefinition[]` | `getPageDefinitions(CustomizationContext customizationContext, String webapp)` Getter for returning a list of all `PageDefinitions` scoped to the supplied webapp.
`PageView` | `getPageView(CustomizationContext customizationContext, PageDefinitionId pageDefinitionId)` Getter for returning an immutable deep copy of a `PageView`.
`PlaceholderDefinitionId` | `getPlaceholderDefinitionId(CustomizationContext customizationContext, LayoutDefinitionId layoutDefinitionId, int layoutLocation)` Getter for returning a single `PlaceholderDefinitionId` object given a supplied placeholder markup name.
`Placement` | `getPlacement(CustomizationContext customizationContext, PlacementId placementId)` Returns a `Placement` given a `placementId`.
`PageDefinition[]` | `getPublicPageDefinitions(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId)` Getter for returning a list of all `PageDefinitions` marked as public and scoped scoped to the supplied webapp and not currently on the callers desktop.
`PageDefinition[]` | `getPublicPageDefinitions(CustomizationContext customizationContext, String webapp)` Getter for returning a list of all `PageDefinitions` marked as public and scoped scoped to the supplied webapp.
`PageDefinition[]` | `getPublicPageDefinitions(CustomizationContext customizationContext, String webapp, BookDefinitionId bookDefinitionId)` Getter for returning a list of all `PageDefinitions` marked as public and scoped scoped to the supplied webapp and not currently on the the supplied book
`Placement` | `movePlaceable(CustomizationContext customizationContext, PlacementId placementId, PlaceholderDefinitionId placeholderDefinitionId, int position)` Move a placeable (book or portlet) definition from one placeholder to another.
`void` | `removePlaceable(CustomizationContext customizationContext, PlacementId placementId)` Remove a placeable from a page's placeholder.
`void` | `setSessionContext(SessionContext sessionContext)`
`void` | `updateLayoutDefinition(CustomizationContext customizationContext, LayoutDefinition layoutDefinition)` Update the layout definition with the new data.
`void` | `updatePageDefinition(CustomizationContext customizationContext, PageDefinition pageDefinition)` Update the page definition with the new data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageDefinitionManagerImpl

    public PageDefinitionManagerImpl()

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws CreateException,
                          RemoteException

    `CreateException`
    `RemoteException`

### ejbActivate

    public void ejbActivate()
                     throws EJBException,
                            RemoteException

  Specified by:
    `ejbActivate` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### ejbPassivate

    public void ejbPassivate()
                      throws EJBException,
                             RemoteException

  Specified by:
    `ejbPassivate` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### ejbRemove

    public void ejbRemove()
                   throws EJBException,
                          RemoteException

  Specified by:
    `ejbRemove` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### setSessionContext

    public void setSessionContext(SessionContext sessionContext)
                           throws EJBException,
                                  RemoteException

  Specified by:
    `setSessionContext` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### getPageView

    public PageView getPageView(CustomizationContext customizationContext,
                                PageDefinitionId pageDefinitionId)

  Description copied from interface: `IPageDefinitionManager`

  Getter for returning an immutable deep copy of a `PageView`. The `PageView` object, unlike the `PageDefinition` or the `PageInstance` objects contains a full set of references to all child pages, pages and so on. The `PageView` object however is immutable.

  Specified by:
    `getPageView` in interface `IPageDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `pageDefinitionId` - the unique pageDefinitionId.
  Returns:
    an immutable deep copy PageView object if one exist, otherwise null.

### getPageDefinitions

    public PageDefinition[] getPageDefinitions(CustomizationContext customizationContext,
                                               String webapp)
                                        throws RemoteException

  Description copied from interface: `IPageDefinitionManager`

  Getter for returning a list of all `PageDefinitions` scoped to the supplied webapp.

  Specified by:
    `getPageDefinitions` in interface `IPageDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `webapp` - the web application these page definitions are scoped to.
  Returns:
    an array of `PageDefinition` objects if they exist, otherwise, an empty array.
    `RemoteException`
  See Also:
    `PageDefinition`

### getPublicPageDefinitions

    public PageDefinition[] getPublicPageDefinitions(CustomizationContext customizationContext,
                                                     String webapp)
                                              throws RemoteException

  Description copied from interface: `IPageDefinitionManager`

  Getter for returning a list of all `PageDefinitions` marked as public and scoped scoped to the supplied webapp.

  Specified by:
    `getPublicPageDefinitions` in interface `IPageDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `webapp` - the web application these page definitions are scoped to.
  Returns:
    an array of `PageDefinition` objects if they exist, otherwise, an empty array.
    `RemoteException`
  See Also:
    `PageDefinition`

### getPublicPageDefinitions

    public PageDefinition[] getPublicPageDefinitions(CustomizationContext customizationContext,
                                                     DesktopDefinitionId desktopDefinitionId)
                                              throws RemoteException

  Description copied from interface: `IPageDefinitionManager`

  Getter for returning a list of all `PageDefinitions` marked as public and scoped scoped to the supplied webapp and not currently on the callers desktop.

  Specified by:
    `getPublicPageDefinitions` in interface `IPageDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `desktopDefinitionId` - you wish to add any of these book definitions to.
  Returns:
    an array of `PageDefinition` objects if they exist, otherwise, an empty array.
    `RemoteException`
  See Also:
    `PageDefinition`

### getPublicPageDefinitions

    public PageDefinition[] getPublicPageDefinitions(CustomizationContext customizationContext,
                                                     String webapp,
                                                     BookDefinitionId bookDefinitionId)
                                              throws RemoteException

  Description copied from interface: `IPageDefinitionManager`

  Getter for returning a list of all `PageDefinitions` marked as public and scoped scoped to the supplied webapp and not currently on the the supplied book

  Specified by:
    `getPublicPageDefinitions` in interface `IPageDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `webapp` - the web application these page definitions are scoped to.
    `bookDefinitionId` - you wish to add any of these book definitions to.
  Returns:
    an array of `PageDefinition` objects if they exist, otherwise, an empty array.
    `RemoteException`
  See Also:
    `PageDefinition`

### getPageDefinition

    public PageDefinition getPageDefinition(CustomizationContext customizationContext,
                                            PageDefinitionId pageDefinitionId)
                                     throws RemoteException

  Description copied from interface: `IPageDefinitionManager`

  Getter for returning a single `PageDefinition` object given a supplied page definition identifier.

  Specified by:
    `getPageDefinition` in interface `IPageDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `pageDefinitionId` - the unique page definition identifier.
  Returns:
    a `PageDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
    `RemoteException`

### getPageDefinition

    public PageDefinition getPageDefinition(CustomizationContext customizationContext,
                                            String pageDefinitionLabel,
                                            String webAppName)
                                     throws RemoteException

  Description copied from interface: `IPageDefinitionManager`

  Getter for returning a single `PageDefinition` object given a supplied page definition label.

  Specified by:
    `getPageDefinition` in interface `IPageDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `pageDefinitionLabel` - the unique page definition label.
    `webAppName` - the webapp this page is scoped to.
  Returns:
    a `PageDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
    `RemoteException`

### deletePageDefinition

    public void deletePageDefinition(CustomizationContext customizationContext,
                                     PageDefinitionId pageDefinitionId)
                              throws RemoteException,
                                     ObjectNotFoundException,
                                     ObjectInUseException,
                                     NotEntitledException

  Description copied from interface: `IPageDefinitionManager`

  Delete a page definition, but only if it is not used byt other page instances.

  Specified by:
    `deletePageDefinition` in interface `IPageDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `pageDefinitionId` - the id of the page definition to delete.
  Throws:
    `ObjectInUseException` - if page instances are currently using this page definition
    `ObjectNotFoundException` - if the pageDefinitionId is bogus
    `NotEntitledException` - the caller is not entitled to perform this operation.
    `RemoteException`
  See Also:
    `IPageDefinitionManager.deletePageDefinitionWithCascade(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.PageDefinitionId)`

### deletePageDefinitionWithReplacement

    public void deletePageDefinitionWithReplacement(CustomizationContext customizationContext,
                                                    PageDefinitionId deletePageDefinitionId,
                                                    PageDefinitionId replacementPageDefinitionId)
                                             throws RemoteException,
                                                    ObjectNotFoundException,
                                                    NotEntitledException

  Description copied from interface: `IPageDefinitionManager`

  Delete an existing page definition and if it is in use replace it's use with the supplied page defintion.

  Note: all customization of the deleted page will be lost.

  Specified by:
    `deletePageDefinitionWithReplacement` in interface `IPageDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `deletePageDefinitionId` - the definition id of the page to delete
    `replacementPageDefinitionId` - the definition id of the page to replace the deleted page.
  Throws:
    `ObjectNotFoundException` - if the pageDefinitionId is bogus.
    `NotEntitledException` - no entitlements for this operation.
    `RemoteException`
  See Also:
    `PageDefinition`

### deletePageDefinitionWithCascade

    public void deletePageDefinitionWithCascade(CustomizationContext customizationContext,
                                                PageDefinitionId pageDefinitionId)
                                         throws RemoteException,
                                                ObjectNotFoundException,
                                                NotEntitledException

  Description copied from interface: `IPageDefinitionManager`

  Delete a page definition and all page instances associated with this definition.

  Specified by:
    `deletePageDefinitionWithCascade` in interface `IPageDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `pageDefinitionId` - the id of the page definition to delete.
  Throws:
    `ObjectNotFoundException` - if the pageDefinitionId is bogus
    `NotEntitledException` - the caller is not entitled to perform this operation.
    `RemoteException`
  See Also:
    `IPageDefinitionManager.deletePageDefinition(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.PageDefinitionId)`

### updatePageDefinition

    public void updatePageDefinition(CustomizationContext customizationContext,
                                     PageDefinition pageDefinition)
                              throws RemoteException,
                                     ObjectNotFoundException,
                                     NotEntitledException

  Description copied from interface: `IPageDefinitionManager`

  Update the page definition with the new data.

  Specified by:
    `updatePageDefinition` in interface `IPageDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `pageDefinition` - the page definition containing the new data
  Throws:
    `ObjectNotFoundException` - if the LocalizationIntersectionId in the LocalizationResource is bogus.
    `RemoteException`
    `NotEntitledException`

### addPlaceable

    public PlaceableInstance addPlaceable(CustomizationContext customizationContext,
                                          PageDefinitionId pageDefinitionId,
                                          PlaceableDefinitionId placeableDefinitionId,
                                          PlaceholderDefinitionId placeholderDefinitionId,
                                          int position)
                                   throws RemoteException,
                                          ObjectNotFoundException,
                                          MissingDataException,
                                          NotEntitledException,
                                          IllegalDependencyException,
                                          DuplicateObjectException

  Description copied from interface: `IPageDefinitionManager`
  Create a new instance of a placeable (PortletView or BookView) by placing the definition in a placeholder.

  Specified by:
    `addPlaceable` in interface `IPageDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales.
    `pageDefinitionId` - the id of the page to place the placeable.
    `placeableDefinitionId` - the abstract definition id of the placeable definition.
    `placeholderDefinitionId` - the placehoder to place this placeable in.
    `position` - the position in the placeholder to insert the placeholder.
  Returns:
    a fully populated placeable instance. This will be of a more concrete type depending on the placeable definition supplied.
  Throws:
    `DuplicateObjectException` - if the navigable is a book and is already added to this page
    `IllegalDependencyException` - adding the Placeable to the PageDefinition would cause a recursive dependancy
    `MissingDataException` - the placeableDefinition is missing some vital data.
    `ObjectNotFoundException` - if the PageDefinitionId or the PlaceholderDefinition Id are bogus
    `NotEntitledException` - the caller is not entitled to perform this action
    `RemoteException`

### movePlaceable

    public Placement movePlaceable(CustomizationContext customizationContext,
                                   PlacementId placementId,
                                   PlaceholderDefinitionId placeholderDefinitionId,
                                   int position)
                            throws RemoteException,
                                   ObjectNotFoundException,
                                   NotEntitledException

  Description copied from interface: `IPageDefinitionManager`
  Move a placeable (book or portlet) definition from one placeholder to another. Note the new position must be on the same page.

  Specified by:
    `movePlaceable` in interface `IPageDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales & request.
    `placementId` - the placement id of the placeables current placement within the page
    `placeholderDefinitionId` - the new placehoder to place this placeable in.
    `position` - the position in the placeholder to insert the placeholder.
  Returns:
    new placement
  Throws:
    `ObjectNotFoundException` - if the PageDefinitionId or the PlaceholderDefinition Id are bogus
    `NotEntitledException` - the caller is not entitled to perform this action
    `RemoteException`

### removePlaceable

    public void removePlaceable(CustomizationContext customizationContext,
                                PlacementId placementId)
                         throws RemoteException,
                                ObjectNotFoundException,
                                NotEntitledException

  Description copied from interface: `IPageDefinitionManager`

  Remove a placeable from a page's placeholder. This operation will NOT delete the PageView Definition.

  Specified by:
    `removePlaceable` in interface `IPageDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `placementId` -
  Throws:
    `NotEntitledException` - the caller is not entitled to perform this action
    `ObjectNotFoundException` - If the padeDefinitionId or the placeableInstanceId are bogus definition is in use by other instance.
    `RemoteException`

### createPageDefinition

    public PageDefinition createPageDefinition(CustomizationContext customizationContext,
                                               PageDefinition pageDefinition)
                                        throws RemoteException,
                                               MissingDataException,
                                               NotEntitledException

  Description copied from interface: `IPageDefinitionManager`
  Create a new page definition.

  Specified by:
    `createPageDefinition` in interface `IPageDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `pageDefinition` - the object containing the data to create the new page definition with.
  Returns:
    a fully populated page definition object
  Throws:
    `MissingDataException` - the pade definition object supplied is missing some vital data.
    `NotEntitledException` - caller is not entitled to perform this action
    `RemoteException`

### getLayoutDefinitions

    public LayoutDefinition[] getLayoutDefinitions(CustomizationContext customizationContext,
                                                   String webapp)
                                            throws RemoteException

  Description copied from interface: `ILayoutDefinitionManager`

  Getter for returning a list of all `LayoutDefinitions` scoped to the supplied webapp.

  Specified by:
    `getLayoutDefinitions` in interface `ILayoutDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `webapp` - the web application these layout definitions are scoped to.
  Returns:
    an array of `LayoutDefinition` objects if they exist, otherwise, an empty array.
    `RemoteException`
  See Also:
    `LayoutDefinition`

### getLayoutDefinition

    public LayoutDefinition getLayoutDefinition(CustomizationContext customizationContext,
                                                LayoutDefinitionId layoutDefinitionId)
                                         throws RemoteException

  Description copied from interface: `ILayoutDefinitionManager`

  Getter for returning a single `LayoutDefinition` object given a supplied layout definition identifier.

  Specified by:
    `getLayoutDefinition` in interface `ILayoutDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `layoutDefinitionId` - the unique layout definition identifier.
  Returns:
    a `LayoutDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
    `RemoteException`
  See Also:
    `LayoutDefinition`

### getLayoutDefinitionFromFile

    public LayoutDefinition getLayoutDefinitionFromFile(CustomizationContext customizationContext,
                                                        String layoutFile,
                                                        String webAppName)
                                                 throws RemoteException

  Description copied from interface: `ILayoutDefinitionManager`

  Getter for returning a single `LayoutDefinition` object given a supplied layout file name and web app name.

  Specified by:
    `getLayoutDefinitionFromFile` in interface `ILayoutDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `layoutFile` - the name of the .layout file
    `webAppName` - the name of the web app as defined in the config.xml
  Returns:
    a `LayoutDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
    `RemoteException`
  See Also:
    `LayoutDefinition`

### createLayoutDefinition

    public LayoutDefinition createLayoutDefinition(CustomizationContext customizationContext,
                                                   LayoutDefinition layoutDefinition)
                                            throws RemoteException,
                                                   MissingDataException,
                                                   NotEntitledException

  Description copied from interface: `ILayoutDefinitionManager`
  Creates a new LayoutView Definition with its placeholders.

  Specified by:
    `createLayoutDefinition` in interface `ILayoutDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `layoutDefinition` - the layout data and associated placeholders
  Returns:
    a fully populated LayoutDefinition
  Throws:
    `MissingDataException` - the layoutDefiniiton supplied as an argument is missing some vital data.
    `NotEntitledException` - the caller is not entitled to create a new layout.
    `RemoteException`

### updateLayoutDefinition

    public void updateLayoutDefinition(CustomizationContext customizationContext,
                                       LayoutDefinition layoutDefinition)
                                throws RemoteException,
                                       ObjectNotFoundException,
                                       MissingDataException,
                                       NotEntitledException

  Description copied from interface: `ILayoutDefinitionManager`

  Update the layout definition with the new data.

  Specified by:
    `updateLayoutDefinition` in interface `ILayoutDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `layoutDefinition` - the layout definition containing the new data
  Throws:
    `MissingDataException` - if layoutDefinition is missing required data.
    `ObjectNotFoundException` - if the LocalizationIntersectionId in the LocalizationResource is bogus.
    `RemoteException`
    `NotEntitledException`

### deleteLayoutDefinition

    public void deleteLayoutDefinition(CustomizationContext customizationContext,
                                       LayoutDefinitionId layoutDefinitionId)
                                throws RemoteException,
                                       ObjectNotFoundException,
                                       ObjectInUseException,
                                       NotEntitledException

  Description copied from interface: `ILayoutDefinitionManager`

  Delete a layout definition and all its associated placeholders..

  Specified by:
    `deleteLayoutDefinition` in interface `ILayoutDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `layoutDefinitionId` - the id of the layout definition to delete.
  Throws:
    `ObjectNotFoundException` - if the layoutDefinitionId is bogus
    `ObjectInUseException` - if page instances are currently using this layout
    `NotEntitledException` - the caller is not entitled to perform this operation.
    `RemoteException`
  See Also:
    `ILayoutDefinitionManager.deleteLayoutDefinitionWithReplacement(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.LayoutDefinitionId, com.bea.netuix.application.identifier.LayoutDefinitionId)`

### deleteLayoutDefinitionWithReplacement

    public void deleteLayoutDefinitionWithReplacement(CustomizationContext customizationContext,
                                                      LayoutDefinitionId deleteLayoutDefinitionId,
                                                      LayoutDefinitionId replacementLayoutDefinitionId)
                                               throws RemoteException,
                                                      ObjectNotFoundException,
                                                      NotEntitledException

  Description copied from interface: `ILayoutDefinitionManager`

  Delete a layout definition (and its placeholders) and replace any uses of that layout with a replacement layout. This method is useful for deleting a layout that is in use by page instances and not having to delete those page instances.

  Specified by:
    `deleteLayoutDefinitionWithReplacement` in interface `ILayoutDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `deleteLayoutDefinitionId` - the id of the layout definition to delete.
    `replacementLayoutDefinitionId` - the id of the replacement layout
  Throws:
    `ObjectNotFoundException` - if either of the layoutDefinitionIds are bogus
    `NotEntitledException` - the caller is not entitled to perform this operation.
    `RemoteException`
  See Also:
    `ILayoutDefinitionManager.deleteLayoutDefinition(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.LayoutDefinitionId)`

### getPlacement

    public Placement getPlacement(CustomizationContext customizationContext,
                                  PlacementId placementId)
                           throws RemoteException

  Description copied from interface: `IPageDefinitionManager`
  Returns a `Placement` given a `placementId`. Returns a `null` if no `Placement` matching `placementId` exists.

  Specified by:
    `getPlacement` in interface `IPageDefinitionManager`
  Parameters:
    `placementId` - placementId for the placement being requested
  Returns:
    a Placement object
    `RemoteException`

### getPlaceholderDefinitionId

    public PlaceholderDefinitionId getPlaceholderDefinitionId(CustomizationContext customizationContext,
                                                              LayoutDefinitionId layoutDefinitionId,
                                                              int layoutLocation)
                                                       throws RemoteException

  Description copied from interface: `ILayoutDefinitionManager`

  Getter for returning a single `PlaceholderDefinitionId` object given a supplied placeholder markup name.

  Specified by:
    `getPlaceholderDefinitionId` in interface `ILayoutDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
  Returns:
    PlaceholderDefinitionId the unique placeholder definition identifier or null if none exist.
    `RemoteException`

### getLayoutDefinitionId

    public LayoutDefinitionId getLayoutDefinitionId(CustomizationContext customizationContext,
                                                    String markupName,
                                                    String webAppName)
                                             throws RemoteException

  Description copied from interface: `ILayoutDefinitionManager`

  Getter for returning a single `LayoutDefinitionId` object given a supplied layout markup name.

  Specified by:
    `getLayoutDefinitionId` in interface `ILayoutDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `markupName` - as supplied on the tag.
    `webAppName` - as defined in the config.xml
  Returns:
    LayoutDefinitionId the unique layout definition identifier or null if none exist.
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved